'===================================
'= Driver (Socket) Client Code =
'===================================
'
'Internal class used to bind a socket to a COM port 
'
'Written by Stuart Massey (VorTechS)
'3rd February 2010

'LICENSE INFORMATION:
'
'This file is part of the PhatHack LCD Driver software: you can redistribute it and/or modify
'it under the terms of the GNU General Public License as published by
'the Free Software Foundation, either version 3 of the License, or
'(at your option) any later version.

'This program is distributed in the hope that it will be useful,
'but WITHOUT ANY WARRANTY; without even the implied warranty of
'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'GNU General Public License for more details.

'You should have received a copy of the GNU General Public License
'along with this program.  If not, see <http://www.gnu.org/licenses/>.

Imports System.Net.Sockets

Public Class DriverClient

    Private m_BufferText As String = ""
    Private m_Locked As Boolean = False
    Private m_Socket As AsynchronousSocketState = Nothing
    Private m_DisplayPort As Integer = -1

    Public Sub New(ByVal sourceClient As AsynchronousSocketState)

        m_Socket = sourceClient

    End Sub

    Public WriteOnly Property SourceClient() As AsynchronousSocketState
        Set(ByVal value As AsynchronousSocketState)
            m_Socket = value
        End Set
    End Property

    Public ReadOnly Property SourceSocket() As Socket
        Get
            Return m_Socket.workSocket
        End Get
    End Property

    Public Property Buffer() As String
        Get
            Return m_Socket.sb.ToString
        End Get
        Set(ByVal value As String)

        End Set
    End Property

    Public Property DisplayPort() As Integer
        Get
            Return m_DisplayPort
        End Get
        Set(ByVal value As Integer)
            m_DisplayPort = value
        End Set
    End Property

End Class
