'==================================
'= LCD Driver Service Source Code =
'==================================

'Service code, allowing the driver to be run as a Windows Service

'Written by Stuart Massey (VorTechS)
'3rd February 2010

'LICENSE INFORMATION:
'
'This file is part of the PhatHack LCD Driver software: you can redistribute it and/or modify
'it under the terms of the GNU General Public License as published by
'the Free Software Foundation, either version 3 of the License, or
'(at your option) any later version.

'This program is distributed in the hope that it will be useful,
'but WITHOUT ANY WARRANTY; without even the implied warranty of
'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'GNU General Public License for more details.

'You should have received a copy of the GNU General Public License
'along with this program.  If not, see <http://www.gnu.org/licenses/>.

Imports System.Net
Imports System.Net.Sockets

Public Class PhatHackLCDDriver



    Protected Overrides Sub OnStart(ByVal args() As String)
        ' Add code here to start your service. This method should set things
        ' in motion so your service can do its work.
        Try
            CommonFunctions.StartListener()
        Catch ex As Exception
            EventLog.WriteEntry("Failed to start PhatHack LCD Driver.  Error was: " & ex.Message, EventLogEntryType.Error)
        End Try
    End Sub

    Protected Overrides Sub OnStop()

        ' Add code here to perform any tear-down necessary to stop your service.
        For Each client As DriverClient In CommonFunctions.ConnectedClients
            Call CommonFunctions.SendClientText(client, "Service is shutting down now!")
            Call CommonFunctions.ShutDownClient(client)
        Next client

    End Sub



End Class
